GDB (xrefs)

Public Attributes | List of all members
finish_command_fsm Struct Reference

## Public Attributes
struct thread_fsm | thread_fsm
struct breakpoint * | breakpoint
struct symbol * | function
struct return_value_info | return_value

## Detailed Description

Definition at line 1736 of file infcmd.c.

## Member Data Documentation

## ◆ breakpoint

struct breakpoint* finish_command_fsm::breakpoint

Definition at line 1743 of file infcmd.c.

Referenced by finish_command_fsm_clean_up(), finish_command_fsm_should_stop(), and finish_forward().

## ◆ function

struct symbol* finish_command_fsm::function

Definition at line 1746 of file infcmd.c.

Referenced by finish_command(), and finish_command_fsm_should_stop().

## ◆ return_value

struct return_value_info finish_command_fsm::return_value

Definition at line 1750 of file infcmd.c.

Referenced by finish_command_fsm_return_value(), and finish_command_fsm_should_stop().

## ◆ thread_fsm

struct thread_fsm finish_command_fsm::thread_fsm

Definition at line 1739 of file infcmd.c.

Referenced by finish_command(), and new_finish_command_fsm().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/infcmd.c